import React,{ useState,useEffect} from 'react';

import {delDeptAndCheckPoint,getConditionAndGroupIdentity,delConditionAndGroupIdentity} from "@/api/checkCondition.js";

import EditableFormTable from './table';

import { Input} from 'antd';

const { Search } = Input;

const CheckGroupManage = () => {

  let [arr,setarr] = useState([]);
  let [pages,setpages] = useState({});
  let [ifUpdateList,setifUpdateList]=useState(false);
  let [ifRender,setifRender] = useState(false);
  const [searchKey,setsearchKey] = useState('');
 
  const columns = [
    {
      title: 'id',
      dataIndex: 'id',
      key: 'id',
      width:'10%',
      render: text => <a>{text}</a>,
    },
    {
      title: '条件ID',
      dataIndex: 'filterConditionId',
      key: 'filterConditionId',
      editable: true,
    },
    {
        title: '条件名',
        dataIndex: 'filterConditonName',
        key: 'filterConditonName',
        editable: true,
    },
    {
        title: '单位分类ID',
        dataIndex: 'deptClassId',
        key: 'deptClassId',
        editable: true,
    },
    {
        title: '单位分类名',
        dataIndex: 'deptClassName',
        key: 'deptClassName',
        editable: true,
    },
  ];



  const getData = async (pageObj)=>{
    let data = await getConditionAndGroupIdentity(pageObj);
    
    const renderData = data.data.data.list.map((item,index)=>{
          return {
              ...item,
              key:item['id'],
            //   editable: true,
          }
    })
    setarr(renderData);
    setpages({
        'currPage':data.data.data.currPage,
        'totalPage':data.data.data.totalPage,
        'totalCount':data.data.data.totalCount,
    });
    setifRender(false);
    setifRender(true);

  }

  const deleteCallback = (record)=>{
    // console.log('删除');
    delConditionAndGroupIdentity([record.id]).then(res=>{
        if(res.data.msg=="success"){
                getData();
        }
    })
  }


  const paginationCallback = (obj)=>{
    const {currPage} = obj;
    getData({page:currPage,pageSize:10,keyword:searchKey});
  }

  const onSearch = (searchKey)=>{
    //  console.log({searchKey});
    setsearchKey(searchKey);
     getData({
       'keyword':searchKey?searchKey:''
     });
  }

  
  useEffect(()=>{
    getData();
  },[]);

  return ( 
    <div className="app-container">
          <h1>条件和单位分类</h1>
          <div style={{display:'flex',flexDirection:'row',marginBottom:16}}>
          {/* <Button onClick={handleAdd} type="primary" style={{ marginBottom: 16,marginRight:20 }}>
             新增查核项
          </Button> */}
          <Search style={{ width: 200 }} allowClear placeholder="请输入条件名"  onSearch={onSearch} enterButton />
          </div>
          {
             ifRender&& <EditableFormTable columns={columns}  pages={pages} paginationCallback={paginationCallback}  data={arr} deleteCallback={deleteCallback} ifUpdateList={ifUpdateList}/>
          }
    </div>
  );
}

 
export default CheckGroupManage;